ImportError: No module named notebook.notebookapp

5,372 views
Skip to first unread message

brian piercy

unread,
Oct 17, 2019, 11:53:07 AM10/17/19
to Project Jupyter
  • rebuilding after a crash. i started via a fresh Anaconda download. Here's the results of 'jupyter --version"
  • bjpcjp@bjpcjp-Lenovo-Z710:~$ jupyter --version
  • jupyter core : 4.6.0
  • jupyter-notebook : 6.0.1
  • qtconsole : 4.5.5
  • ipython : 7.8.0
  • ipykernel : 5.1.2
  • jupyter client : 5.3.4
  • jupyter lab : not installed ('conda install jupyterlab' returns "all packages already installed")
  • nbconvert : 5.6.0
  • ipywidgets : 7.5.1
  • nbformat : 4.4.0
  • traitlets : 4.3.3
  • I get the error msg shown in the title, despite multiple reinstalls, via "jupyter notebook".

according to 'conda info':

  • no active environment
  • conda 4.7, conda-build 3.18, python 3.7.4.
  • channel URLs listed
  • package caches present; envs directories present; linux-64 platform.

ideas? Thank you. (also posted in GitHub, FYI.)

Jason Grout

unread,
Oct 17, 2019, 12:49:04 PM10/17/19
to Project Jupyter
It sounds to me like your installation is messed up somehow. Also, the "no active environment" looks a bit suspicious.

To debug issues like this, I usually try to start python alone, import something relevant (like notebook), and then query `notebook.__file__` to see if I'm importing notebook from where I think I should be importing notebook: python -c "import notebook; print(notebook.__file__)" or something

Jason

--
You received this message because you are subscribed to the Google Groups "Project Jupyter" group.
To unsubscribe from this group and stop receiving emails from it, send an email to jupyter+u...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/jupyter/4b9a625d-6996-4b4a-8a58-1b8f5b12c210%40googlegroups.com.

brian piercy

unread,
Oct 17, 2019, 1:32:54 PM10/17/19
to Project Jupyter
more info:

'python' loads w/o problem. (interesting, though, it loads using 3.5.2, default, 2018/11/12.)
'ipython' however, loads with python 2.7.12 & iPython 5.8.0. 

no wonder Jupyter is confused.

Jason Grout

unread,
Oct 17, 2019, 1:56:19 PM10/17/19
to Project Jupyter
It sounds like your install is messed up, and you have two environments layered on top of each other (perhaps you have a system install and an anaconda install?). The __file__ trick helps you see what is actually being run.

Jason

--
You received this message because you are subscribed to the Google Groups "Project Jupyter" group.
To unsubscribe from this group and stop receiving emails from it, send an email to jupyter+u...@googlegroups.com.

Zhongsheng Chen

unread,
Jan 10, 2020, 2:55:28 AM1/10/20
to Project Jupyter
hi all, I am suffering from the same issue.  my conda environment was activated and related packages installed are listed as below:

# Name                    Version                   Build  Channel
_tflow_select             2.2.0                     eigen  
absl-py                   0.9.0                    pypi_0    pypi
appnope                   0.1.0                    pypi_0    pypi
astor                     0.8.1                    pypi_0    pypi
attrs                     19.3.0                     py_0    conda-forge
backcall                  0.1.0                      py_0    conda-forge
blas                      1.0                         mkl  
bleach                    3.1.0                      py_0    conda-forge
c-ares                    1.15.0            h1de35cc_1001  
ca-certificates           2019.11.27                    0  
cachetools                4.0.0                    pypi_0    pypi
certifi                   2019.11.28               py36_0  
chardet                   3.0.4                    pypi_0    pypi
cycler                    0.10.0                   pypi_0    pypi
dbus                      1.13.12              h90a0687_0  
decorator                 4.4.1                      py_0    conda-forge
defusedxml                0.6.0                      py_0    conda-forge
entrypoints               0.3                   py36_1000    conda-forge
expat                     2.2.6                h0a44026_0  
ganofficial               0.0.0                     dev_0    <develop>
gast                      0.2.2                    pypi_0    pypi
gettext                   0.19.8.1             h15daf44_3  
glib                      2.63.1               hd977a24_0  
gnureadline               8.0.0                    pypi_0    pypi
google-auth               1.10.0                   pypi_0    pypi
google-auth-oauthlib      0.4.1                    pypi_0    pypi
google-pasta              0.1.8                    pypi_0    pypi
gpy                       1.9.9                    pypi_0    pypi
grpcio                    1.26.0                   pypi_0    pypi
h5py                      2.10.0                   pypi_0    pypi
icu                       58.2                 h4b95b61_1  
idna                      2.8                      pypi_0    pypi
importlib_metadata        1.3.0                    py36_0    conda-forge
intel-openmp              2019.4                      233  
ipykernel                 5.1.3            py36h5ca1d4c_0    conda-forge
ipython                   3.2.1                    pypi_0    pypi
ipython-genutils          0.2.0                    pypi_0    pypi
ipython_genutils          0.2.0                      py_1    conda-forge
ipywidgets                7.5.1                      py_0  
jedi                      0.15.2                   py36_0    conda-forge
jinja2                    2.10.3                     py_0    conda-forge
joblib                    0.14.1                   pypi_0    pypi
jpeg                      9b                   he5867d9_2  
json5                     0.8.5                      py_0    conda-forge
jsonschema                3.2.0                    py36_0    conda-forge
jupyter                   1.0.0                    py36_7  
jupyter-console           6.0.0                    pypi_0    pypi
jupyter_client            5.3.4                    py36_0    conda-forge
jupyter_console           6.0.0                    py36_0  
jupyter_core              4.6.1                    py36_0    conda-forge
jupyterlab                1.2.4                      py_0    conda-forge
jupyterlab_server         1.0.6                      py_0    conda-forge
keras                     2.3.1                    pypi_0    pypi
keras-applications        1.0.8                    pypi_0    pypi
keras-preprocessing       1.1.0                    pypi_0    pypi
kiwisolver                1.1.0                    pypi_0    pypi
libcxx                    4.0.1                hcfea43d_1  
libcxxabi                 4.0.1                hcfea43d_1  
libedit                   3.1.20181209         hb402a30_0  
libffi                    3.2.1                h475c297_4  
libgfortran               3.0.1                h93005f0_2  
libiconv                  1.15                 hdd342a3_7  
libpng                    1.6.37               ha441bb4_0  
libprotobuf               3.11.2               hd9629dc_0  
libsodium                 1.0.17               h01d97ff_0    conda-forge
markdown                  3.1.1                    py36_0  
markupsafe                1.1.1            py36h0b31af3_0    conda-forge
matplotlib                3.1.2                    pypi_0    pypi
mistune                   0.8.4           py36h0b31af3_1000    conda-forge
mkl                       2019.4                      233  
mkl-service               2.3.0            py36hfbe908c_0  
mkl_fft                   1.0.15           py36h5e564d8_0  
mkl_random                1.1.0            py36ha771720_0  
more-itertools            8.0.2                      py_0    conda-forge
nbconvert                 5.6.1                    py36_0    conda-forge
nbformat                  5.0.3                      py_0    conda-forge
ncurses                   6.1                  h0a44026_1  
notebook                  4.0.0                    pypi_0    pypi
numpy                     1.18.1                   pypi_0    pypi
numpy-base                1.17.4           py36h6575580_0  
oauthlib                  3.1.0                    pypi_0    pypi
openssl                   1.1.1d               h1de35cc_3  
opt-einsum                3.1.0                    pypi_0    pypi
pandas                    0.25.3                   pypi_0    pypi
pandoc                    2.9.1.1                       0    conda-forge
pandocfilters             1.4.2                    pypi_0    pypi
paramz                    0.9.5                    pypi_0    pypi
parso                     0.5.2                      py_0    conda-forge
pcre                      8.43                 h0a44026_0  
pexpect                   4.7.0                    py36_0    conda-forge
pickleshare               0.7.5                    pypi_0    pypi
pip                       19.3.1                   py36_0  
prometheus_client         0.7.1                      py_0    conda-forge
prompt-toolkit            2.0.10                   pypi_0    pypi
prompt_toolkit            2.0.9                    py36_0  
protobuf                  3.11.2                   pypi_0    pypi
ptyprocess                0.6.0                   py_1001    conda-forge
pyasn1                    0.4.8                    pypi_0    pypi
pyasn1-modules            0.2.8                    pypi_0    pypi
pygments                  2.5.2                      py_0    conda-forge
pyparsing                 2.4.6                    pypi_0    pypi
pyqt                      5.9.2            py36h655552a_2  
pyrsistent                0.15.7           py36h0b31af3_0    conda-forge
python                    3.6.10               h359304d_0  
python-dateutil           2.8.1                      py_0    conda-forge
pytz                      2019.3                   pypi_0    pypi
pyyaml                    5.3                      pypi_0    pypi
pyzmq                     18.1.1                   pypi_0    pypi
qt                        5.9.7                h468cd18_1  
qtconsole                 4.6.0                      py_1  
readline                  7.0                  h1de35cc_5  
requests                  2.22.0                   pypi_0    pypi
requests-oauthlib         1.3.0                    pypi_0    pypi
rsa                       4.0                      pypi_0    pypi
scikit-learn              0.22.1                   pypi_0    pypi
scipy                     1.4.1                    pypi_0    pypi
send2trash                1.5.0                      py_0    conda-forge
setuptools                44.0.0                   py36_0  
sip                       4.19.8           py36h0a44026_0  
six                       1.13.0                   py36_0    conda-forge
sklearn                   0.0                      pypi_0    pypi
sqlite                    3.30.1               ha441bb4_0  
tensorboard               2.1.0                    pypi_0    pypi
tensorflow                2.1.0                    pypi_0    pypi
tensorflow-base           1.10.0          eigen_py36h4f0eeca_0  
tensorflow-estimator      2.1.0                    pypi_0    pypi
termcolor                 1.1.0                    pypi_0    pypi
terminado                 0.8.3                    pypi_0    pypi
testpath                  0.4.4                      py_0    conda-forge
tk                        8.6.8                ha441bb4_0  
tornado                   6.0.3            py36h0b31af3_0    conda-forge
traitlets                 4.3.3                    py36_0    conda-forge
urllib3                   1.25.7                   pypi_0    pypi
wcwidth                   0.1.8                      py_0    conda-forge
webencodings              0.5.1                    pypi_0    pypi
werkzeug                  0.16.0                     py_0  
wheel                     0.33.6                   py36_0  
widgetsnbextension        3.5.1                    py36_0  
wrapt                     1.11.2                   pypi_0    pypi
xz                        5.2.4                h1de35cc_4  
zeromq                    4.3.2                h6de7cb9_2    conda-forge
zipp                      0.6.0                      py_0    conda-forge
zlib                      1.2.11               h1de35cc_3  

when I ran a ipynb file, I 've got error from the server log

/Users/zhongsheng/anaconda2/envs/ganRegression/bin/jupyter notebook --no-browser
Traceback (most recent call last):
  File "/Users/zhongsheng/anaconda2/envs/ganRegression/bin/jupyter-notebook", line 7, in <module>
    from notebook.notebookapp import main
ModuleNotFoundError: No module named 'notebook.notebookapp'

Process finished with exit code 1

can anyone can help me with this issue?



To unsubscribe from this group and stop receiving emails from it, send an email to jup...@googlegroups.com.

Jason Grout

unread,
Jan 10, 2020, 3:05:26 AM1/10/20
to Project Jupyter
It looks to me like you have very old unsupported versions of notebook, ipython, etc., and there may be other problems with your install. If I were you, I'd create a new environment with current versions of the packages and try again.

Jason


To unsubscribe from this group and stop receiving emails from it, send an email to jupyter+u...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/jupyter/93fcd1bd-7c8e-4bfc-835a-340b92e0120c%40googlegroups.com.
Reply all
Reply to author
Forward
0 new messages